<!DOCTYPE html>
<html lang="en">
    <head>        
        <% include ../partials/head %>
    </head>
    <body class="container">
        <header>
            <% include ../partials/header %>
        </header>
        <main>
            <div class="jumbotron">
                <% if (username != null) { %>
                    <h1>Motor Status & Control</h1>
                    <h3><%= username %></h3>
                    <span><%= new Date () %></span>

                    <div class="row">
                        <div class="col-sm-8">
                            <hr>
                        </div>
                        <br>
                    </div>

                    <div class="row">
                        <div class="col-sm-4">
                            <span>Motor Status:</span>
                        </div>
                        <div class="col-sm-4 col-offset-sm-4">
                            <% if (motorStatus) { %>
                                <span style="color:green"><strong>ON</strong></span>
                            <% } else {%>    
                                <span style="color:red"><strong>OFF</strong></span>
                            <% } %>     
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-sm-8">
                            <hr>
                        </div>
                        <br>
                    </div>

                    <div class="row">
                        <div class="col-sm-4">
                            <span>Switch Motor:</span>
                        </div>
                        <div class="col-sm-4 col-offset-sm-4"> 
                            <form action="/togglemotor" method="post">
                                <% var bClass = "class='btn btn-lg btn-" + (motorStatus? 'success\'' : 'danger\'') %>
                                <button <%- bClass %> type="submit" name="token" value=<%- token %> ><%- motorStatus? "ON": "OFF" %></button>
                                <!-- <button <%- bClass %> type="submit" name="motorStatus" value=<%- motorStatus %> ><%- motorStatus? "ON": "OFF" %></button> -->
                                <!-- <input hidden class="form-control" type="text" name="token" value=<%- token %>>
                                <input hidden class="form-control" type="text" name="username" value=<%- username %>> -->
                            </form>
                        </div>
                    </div>                    

                    <div class="row">
                        <div class="col-sm-8">
                            <hr>
                        </div>
                        <br>
                    </div>

                <% } %>        
            </div>
        </main>
        <footer>
            <% include ../partials/footer %>
        </footer>
    </body>
</html>